diff --git a/src/Castle.Core.Tests/GenericMethodsProxyTestCase.cs b/src/Castle.Core.Tests/GenericMethodsProxyTestCase.cs
index a312a40..c8c89f5 100644
--- a/src/Castle.Core.Tests/GenericMethodsProxyTestCase.cs
+++ b/src/Castle.Core.Tests/GenericMethodsProxyTestCase.cs
@@ -36,9 +36,6 @@ namespace Castle.DynamicProxy.Tests
 		}
 
 		[Test]
-#if __MonoCS__
-		[Ignore ("System.Type[] doesn't implement interface Castle.DynamicProxy.IInvocation")]
-		#endif
 		public void GenericMethod_WithConstraintOnOtherParameter ()
 		{
 			var type = typeof(IInterfaceWithGenericMethodWithDependentConstraint);
@@ -57,9 +54,6 @@ namespace Castle.DynamicProxy.Tests
 		}
 
 		[Test]
-#if __MonoCS__
-		[Ignore ("System.Type[] doesn't implement interface Castle.DynamicProxy.IInvocation")]
-		#endif
 		public void GenericMethod_WithConstraintOnSurroundingTypeParameter ()
 		{
 			var type = typeof(IGenericInterfaceWithGenericMethodWithDependentConstraint<object>);
